Tasks

get

Return a task's status

πŸ”’ Requires the read:task permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
taskIdstring Β· uuidRequired

The task's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

Query parameters
expandbooleanOptional

If true, return elaborated version of the status. Otherwise, return a summarized version

Responses
chevron-right
200

Task details

application/json

Task details

taskstring Β· uuidRequired

The task's ID e.g. f27d96be-c486-4075-a926-0ee96775119e

statusstring Β· enumRequired

The task status (aka "stage") e.g. pending

Possible values:
commandstring Β· enumRequired

The type of command performed by the task e.g. install

Possible values:
planOnlybooleanRequired

Indicator if the task is a plan-only task

autoApplybooleanRequired
errorsone ofRequired
nullOptional
or
createdstring Β· date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

updatedstring Β· nullableRequired

The date and time the resource was updated e.g. 2022-01-01T00:00:00.000Z

completedstring Β· nullableRequired

The task completion date e.g. 2021-08-17T10:00:00Z or null if the task is not complete

get
/api/v1/task/{taskId}/status

Last updated

Was this helpful?